$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.31.7-BETA.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.31.7-BETA.msi'
  softwareName = 'Invantive Query Tool'
  checksum = 'EEAA356E7748F3AABAE05624FB520B1FF6A9E60E5AC949FA7E21E5E1FF2896A0'
  checksumType = 'sha256'
  checksum64 = 'EEAA356E7748F3AABAE05624FB520B1FF6A9E60E5AC949FA7E21E5E1FF2896A0'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-17.31.7-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
